Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033636
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-08-05 13:012016-08-25 05:05
ReportermaiteView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisionbbfb9204dbb7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033636: Error should be raised in user interface when running "Modify Payment Plan" process from an invoice included in a remittance

DescriptionError should be raised in user interface when running "Modify Payment Plan" process from an invoice included in a remittance
Steps To Reproduce0. Install last available version from Remittance's Infrastructure module
1. Access as system administrator and display Modify Payment Plan button for Sales Invoice window, Payment Plan tab
2. Logout and login
3. Register Sales Invoice document, add any line and process
4. Register Remittance document,run "Select order/invoice" process and select previous invoice. NOT PROCESS INVOICE
5. Access to Sales Invoice,go to Payment Plan tab and run "Modify Payment Plan" process. Split payment plan in two and try to process
6. No changes are observed and log shows error message "867946fe 4894502 [http-8280-4] ERROR org.hibernate.util.JDBCExceptionReporter - ERROR: update or delete on table "fin_payment_scheduledetail" violates foreign key constraint "rem_remline_finpayschdet" on table "rem_remittanceline"
  Detail: Key (fin_payment_scheduledetail_id)=(5D5BE78ACDC04F208223977BD2E0850A) is still referenced from table "rem_remittanceline"."

Proper error should be raised to end user in the application
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0089193)
rqueralta (developer)
2016-08-18 05:34
edited on: 2016-08-19 10:51

Test plan:

As F&B System Admin

  - Install last available version from Remittance's Infrastructure module and configure it
  - Set Advanced Payables and Receivables Mngmt module as In Development = Yes.
  - Go to Windows, Tab and Fields
  - Select Sales Invoice windows
  - Select Payment Plan tab
  - Display "Modify Payment Plan" field
  - Logout and login
  
As F&B International Group Admin

  - Go to Sale Invoice window
  - Register Sales Invoice document, add any line and process
  - Go to Remitance window
  - Register Remittance document,run "Select order/invoice" process and select previous invoice. NOT PROCESS the remittance.
  - Return to Sales Invoice window, go to Payment Plan tab and run "Modify Payment Plan" process on previous invoice
  - Split payment plan in two and try to process
  
Now "Payment Plan from an invoice included in a remittance can't be modified" message is shown

(0089235)
psanjuan (manager)
2016-08-19 11:51

Issue verified.

Correct error message text should be:

"Payment Plan cannot be modified. Invoice included in a remittance"
(0089370)
hgbot (developer)
2016-08-25 00:03

Repository: erp/devel/pi
Changeset: bbfb9204dbb74ed5d21ff9a8a6a603ff1c33b811
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Wed Aug 24 14:54:57 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/bbfb9204dbb74ed5d21ff9a8a6a603ff1c33b811 [^]

Fixes issue 33636: Error should be raised when running "Modify Payment Plan"

Now "The invoice is already included in a Remittance." message is shown when running Modify Payment Plan process from an invoice included in a remittance.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/ModifyPaymentPlanActionHandler.java
---
(0089371)
aferraz (developer)
2016-08-25 00:05

Code review + Testing OK
(0089372)
hudsonbot (developer)
2016-08-25 05:05

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/74c0f9194e1f [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-08-05 13:01 maite New Issue
2016-08-05 13:01 maite Assigned To => Triage Finance
2016-08-05 13:01 maite Modules => Advanced Payables and Receivables Mngmt
2016-08-05 13:01 maite Triggers an Emergency Pack => No
2016-08-05 13:01 maite Issue Monitored: networkb
2016-08-12 15:30 aferraz Assigned To Triage Finance => rqueralta
2016-08-16 17:23 rqueralta Status new => scheduled
2016-08-18 05:34 rqueralta Note Added: 0089193
2016-08-19 10:46 psanjuan Note Edited: 0089193 View Revisions
2016-08-19 10:47 psanjuan Note Edited: 0089193 View Revisions
2016-08-19 10:51 psanjuan Note Edited: 0089193 View Revisions
2016-08-19 11:51 psanjuan Note Added: 0089235
2016-08-25 00:03 hgbot Checkin
2016-08-25 00:03 hgbot Note Added: 0089370
2016-08-25 00:03 hgbot Status scheduled => resolved
2016-08-25 00:03 hgbot Resolution open => fixed
2016-08-25 00:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bbfb9204dbb74ed5d21ff9a8a6a603ff1c33b811 [^]
2016-08-25 00:05 aferraz Category Z. Others => 09. Financial management
2016-08-25 00:05 aferraz Review Assigned To => aferraz
2016-08-25 00:05 aferraz Note Added: 0089371
2016-08-25 00:05 aferraz Status resolved => closed
2016-08-25 00:05 aferraz Fixed in Version => 3.0PR16Q4
2016-08-25 05:05 hudsonbot Checkin
2016-08-25 05:05 hudsonbot Note Added: 0089372


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker